﻿@model List<eCommerce.Services.Model.Check>

<table class="table table-bordered table-hover" id="newChecksTable">
    <thead>
        <tr>
            <th class="text-center">Recibido</th>
            <th class="text-center">N° Cheque</th>
            <th class="text-center">Banco</th>
            <th class="text-center">Vencimiento</th>
            <th class="text-center col-md-2">Monto</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @{int rowNumber = 0;}
        @foreach (var check in Model)
        {
            <tr class="gradeA check" data-attr-checkId="@check.CheckId">
                <td class="receivedDate text-center">@check.RecievedDate.ToShortDateString()</td>
                <td class="checkNumber text-center">@check.Number</td>
                <td class="text-center">@check.Bank.Name</td>
                <td class="dueDate text-center">@check.DueDate.ToShortDateString()</td>
                <td class="checkAmount text-right">$@check.Amount</td>
                <td class="text-center"><i class="icon fa-close removeCheck" aria-hidden="true" data-attr-id="@rowNumber" onclick="removeCheck(this,@rowNumber);"></i></td>
            </tr>
            rowNumber++;
        }
    </tbody>
    <tfoot>
        <tr>
            <td>
                <a class="btn btn-primary" style="width:100%; text-decoration:none;" data-target="#checks" data-toggle="modal" id="addCheckButton">+</a>
            </td>
            <td colspan="2"></td>
            <td class="text-center font-weight-bold" style="vertical-align:middle;">Total</td>
            <td class="text-right align-vertical">
                <span id="cgTotal"></span>
            </td>
            <td></td>
        </tr>
    </tfoot>
</table>
